# What's new in FreeBSD 5.3

- NDIS Binary Compatibility allows Windows XP network device drivers to be used with FreeBSD.
- IP Fast Forwarding for dramatic speedups in FreeBSD based routers.
- Continued locking and performance improvements to take advanced of SMPng architecture.

# FreeBSD 5.3 Network Changes

FreeBSD (i386) can use binary Ethernet and WLAN network drivers written to the Windows XP NDIS 5.1 specification. Windows drivers are turned into FreeBSD Kernel Loadable Modules (KLDs) with the `ndiscvt` command :

    # ndiscvt -O -i neti557x.inf -s neti557x.sys \
    	-n intel0
    # kldload intel0

More information is available in ndis(4), ndisapi(9), and ndiscvt(8). This functionality was written by Bill Paul.